AbstractJavaEntity
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class AbstractJavaEntity

- java.lang.Object
- - com.thoughtworks.qdox.model.AbstractBaseJavaEntity
  - - com.thoughtworks.qdox.model.AbstractJavaEntity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable
  Direct Known Subclasses:
    AbstractInheritableJavaEntity, JavaField

      public abstract class AbstractJavaEntity
      extends AbstractBaseJavaEntity
      implements java.lang.Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List` | `modifiers`

    - ### Fields inherited from class com.thoughtworks.qdox.model.AbstractBaseJavaEntity

      `name, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJavaEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodeBlock()`
    `java.lang.String` | `getComment()`
    `java.lang.String[]` | `getModifiers()` Return list of modifiers as Strings.
    `java.lang.String` | `getNamedParameter(java.lang.String tagName, java.lang.String parameterName)` Convenience method for `getTagByName(String).getNamedParameter(String)` that also checks for null tag.
    `JavaClass` | `getParentClass()` Not every entity has a parentClass, but AnnotationFieldRef requires access to it.
    `JavaSource` | `getSource()`
    `DocletTag` | `getTagByName(java.lang.String name)`
    `DocletTag[]` | `getTags()`
    `DocletTag[]` | `getTagsByName(java.lang.String name)`
    `boolean` | `isAbstract()`
    `boolean` | `isFinal()`
    `boolean` | `isNative()`
    `boolean` | `isPrivate()`
    `boolean` | `isProtected()`
    `boolean` | `isPublic()`
    `boolean` | `isStatic()`
    `boolean` | `isStrictfp()`
    `boolean` | `isSynchronized()`
    `boolean` | `isTransient()`
    `boolean` | `isVolatile()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setModifiers(java.lang.String[] modifiers)`
    `void` | `setParentClass(JavaClass parentClass)`
    `void` | `setTags(java.util.List tagList)`
    `protected void` | `write(IndentBuffer result)`
    `protected void` | `writeAccessibilityModifier(IndentBuffer result)`
    `protected void` | `writeAllModifiers(IndentBuffer result)`
    `protected abstract void` | `writeBody(IndentBuffer result)`
    `protected void` | `writeNonAccessibilityModifiers(IndentBuffer result)`

    - ### Methods inherited from class com.thoughtworks.qdox.model.AbstractBaseJavaEntity

      `getAnnotations, getLineNumber, getName, getParent, setAnnotations, setLineNumber, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### modifiers

          protected java.util.List modifiers

  - ### Constructor Detail

    - #### AbstractJavaEntity

          public AbstractJavaEntity()

  - ### Method Detail

    - #### getModifiers

          public java.lang.String[] getModifiers()

      Return list of modifiers as Strings. (public, private, protected, final, abstract, static)

    - #### getComment

          public java.lang.String getComment()

    - #### getTags

          public DocletTag[] getTags()

    - #### getTagsByName

          public DocletTag[] getTagsByName(java.lang.String name)

    - #### getTagByName

          public DocletTag getTagByName(java.lang.String name)

    - #### getNamedParameter

          public java.lang.String getNamedParameter(java.lang.String tagName,
                                           java.lang.String parameterName)

      Convenience method for `getTagByName(String).getNamedParameter(String)` that also checks for null tag.
      Since:
        1.3

    - #### getCodeBlock

          public java.lang.String getCodeBlock()

    - #### write

          protected void write(IndentBuffer result)

    - #### writeBody

          protected abstract void writeBody(IndentBuffer result)

    - #### setModifiers

          public void setModifiers(java.lang.String[] modifiers)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### setTags

          public void setTags(java.util.List tagList)

    - #### isAbstract

          public boolean isAbstract()

    - #### isPublic

          public boolean isPublic()

    - #### isPrivate

          public boolean isPrivate()

    - #### isProtected

          public boolean isProtected()

    - #### isStatic

          public boolean isStatic()

    - #### isFinal

          public boolean isFinal()

    - #### isSynchronized

          public boolean isSynchronized()

    - #### isTransient

          public boolean isTransient()

    - #### isVolatile

          public boolean isVolatile()

      Since:
        1.4

    - #### isNative

          public boolean isNative()

      Since:
        1.4

    - #### isStrictfp

          public boolean isStrictfp()

      Since:
        1.4

    - #### writeNonAccessibilityModifiers

          protected void writeNonAccessibilityModifiers(IndentBuffer result)

    - #### writeAccessibilityModifier

          protected void writeAccessibilityModifier(IndentBuffer result)

    - #### writeAllModifiers

          protected void writeAllModifiers(IndentBuffer result)

    - #### getSource

          public JavaSource getSource()

    - #### setParentClass

          public void setParentClass(JavaClass parentClass)

    - #### getParentClass

          public JavaClass getParentClass()

      Description copied from class: `AbstractBaseJavaEntity`
      Not every entity has a parentClass, but AnnotationFieldRef requires access to it. When used with JavaClass, don't confuse this with getSuperClass()
      Overrides:
        `getParentClass` in class `AbstractBaseJavaEntity`
      Returns:
        the surrounding class